Vous êtes ici

Réinstaller fusecompress après une mise à jour Ubuntu 11.10 Oneiric Ocelot en 12.04 Precise Pangolin

Suite à une mise à jour d'Ubuntu 11.10 Oneiric Ocelot vers 12.04 Precise Pangolin, via un

do-release-upgrade -p

... qui s'est au demeurant très bien passée (comme toujours en ce qui me concerne), j'ai tout de même eu un petit souci avec l'utilitaire de compression "fusecompress" qui visiblement ne serait plus supporté par Canonical ou du moins plus dans les dépôts officiels (erreur ?).

Je me suis donc lancé dans sa réinstallation, une opération ma foi des plus simples, tout d'abord je me suis rendu sur la page dédiée au paquet liblzma2 32 bits de la distribution Oneiric Ocelot dont dépend fusecompress, j'ai copié l'URL d'une des instances dudit paquet sur un des miroirs et à l'aide de l'utilitaire wget l'ai rapidement récupéré

wget <a href="http://ftp.halifax.rwth-aachen.de/ubuntu//pool/main/x/xz-utils/liblzma2_5.0.0-2_i386.deb
">http://ftp.halifax.rwth-aachen.de/ubuntu//pool/main/x/xz-utils/liblzma2_...

une fois fait il suffit de l'installer

dpkg -i liblzma2_5.0.0-2_i386.deb

Ensuite il suffit de faire de même avec le paquet de l'utilitaire fusecompress en lui même (toujours en 32 bits)

wget <a href="http://ftp.halifax.rwth-aachen.de/ubuntu//pool/universe/f/fusecompress/fusecompress_2.6.git913897f4-1ubuntu1_i386.deb
dpkg">http://ftp.halifax.rwth-aachen.de/ubuntu//pool/universe/f/fusecompress/f...</a> -i fusecompress_2.6.git913897f4-1ubuntu1_i386.deb

And voilà, nul doute que cette façon de procéder vous aidera, dans d'autres circonstances pour d'autres logiciels. Le seul inconvénient - on le comprend facilement - sera que ces paquets ne seront pas mis à jour lors des "aptitude update" ou autres systèmes de mise à jour automatique, vous êtes prévenus...

Ajouter un commentaire